curl --request GET \
--url https://api-sb.meld.io/service-providers/limits/kyc-fiat-levels \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/service-providers/limits/kyc-fiat-levels"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/service-providers/limits/kyc-fiat-levels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accountDetails": {},
"currencyCode": "<string>",
"level1": {
"daily": 123,
"monthly": 123,
"transaction": 123,
"weekly": 123,
"yearly": 123
},
"level2": {
"daily": 123,
"monthly": 123,
"transaction": 123,
"weekly": 123,
"yearly": 123
},
"level3": {
"daily": 123,
"monthly": 123,
"transaction": 123,
"weekly": 123,
"yearly": 123
},
"serviceProviderDetails": {}
}
]Get KYC levels for fiat currencies
⚠️ Deprecated — this endpoint is slated for removal. Migrate to the Network Partner API as soon as you can; see the migration guide. Do not build new integrations against this endpoint.
Returns a list of KYC limits in terms of fiat currencies tokens for buying crypto.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Query Parameters
A comma separated list of service providers.
A comma separated list of service provider statuses. Valid values are: LIVE,RECENTLY_ADDED,BUILDING
A comma separated list of service provider categories. Valid values are: BANK_LINKING,CRYPTO_OFFRAMP,CRYPTO_ONRAMP,CRYPTO_TRANSFER,CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,FIAT_PAYMENTS. Note: CRYPTO_ONRAMP_SWAP and CRYPTO_OFFRAMP_SWAP are server-driven and cannot be requested directly.
Filter by account configuration. Will only include properties supported by the service providers configured for the account of the API authentication token used.
A comma separated list of countries.
A comma separated list of fiat currencies.
A comma separated list of crypto chains.
A comma separated list of crypto currencies.
A comma separated list of payment method types. Valid Values are: Supported Payment Methods
When true, includes details about any account, Meld, and/or service provider limits used for each limit in the response.
Response
Limits returned
The account service provider limit overrides. Only present when includeDetails request parameter is set to true.
Show child attributes
Show child attributes
The currency code for these KYC Fiat Level limits.
KYC Level 1 limits, level 1 means no document upload is required. Typical information asked for in level 1 include phone number, email address, and SSN (or international equivalent)
Show child attributes
Show child attributes
KYC Level 2 limits, level 2 means document upload is required. Typical information asked for in level 2 include passport and drivers license (or international equivalent).
Show child attributes
Show child attributes
KYC Level 3 limits, level 3 means proof of funds is required. This is for very large purposes, and may involve connecting a user's bank account to show proof of funds.
Show child attributes
Show child attributes
The service provider limits. Only present when includeDetails request parameter is set to true.
Show child attributes
Show child attributes